Subject: Re: bug#33260: [Shepherd] ERROR: In procedure stat: No such file or directory: "/run/user/30011/shepherd

From: swedebugia <[email-masked]>
Date: Tue, 6 Nov 2018 19:26:24 +0100

Hi :)

On 2018-11-06 15:03, Ludovic Courtès wrote:
> Hello,
>
> swedebugia <[email-masked]> skribis:
>
>> In a VM with GuixSD I did:
>>
>> $ shepherd
>> Backtrace:
>>             3 (primitive-load "/run/current-system/profile/bin/shephe…")
>> In shepherd.scm:
>>      164:9  2 (main . _)
>> In shepherd/support.scm:
>>     396:20  1 (verify-dir _ #:secure? _)
>> In unknown file:
>>             0 (stat "/run/user/30011/shepherd" #<undefined>)
>>
>> ERROR: In procedure stat:
>> In procedure stat: No such file or directory: "/run/user/30011/shepherd"
> Danny Milosavljevic <[email-masked]> skribis:
>
>> But who starts the per-user shepherd?
> I do!  I run ‘shepherd’ as non-root on GuixSD, and I don’t have the
> above file-not-found issue.  On GuixSD, /run/user/UID is created as
> expected, and I suspect it’s the same on most other GNU/Linux distros
> these days.
>
> swedebugia, what distribution are you using?  On GuixSD, 30011 is a UID
> that would be allocated to one of the build users, which cannot “log in”.

GuixSD VM image in Qemu on parabola.

sdb@komputilo ~$ guix --version
guix (GNU Guix) 1f44934fb6e2cefccbecd4fa347025349fa9ff76 (v0.15)

$ which shepherd
/run/current-system/profile/bin/shepherd

sdb@komputilo ~$ readlink -f $(which shepherd)
/gnu/store/fwc1nkcc0hfyr1d9snpbvfss4pz4ycrw-shepherd-0.4.0/bin/shepherd

$ uname -a

Linux komputilo 4.17.3-gnu #1 SMP 1 x86_64 GNU/Linux

-- 
Cheers
Swedebugia